import LoginAPI from './api/login_api'
import ChapterAPI from './api/chapter_api'
import ExamAPI from './api/exam_api'
import CourseAPI from './api/course_api'
import DiscussAPI from './api/discuss_api'
import MsgAPI from './api/msg_api'
import ScoreAPI from './api/score_api'
import ReportAPI from './api/report_api'

let loginApi = new LoginAPI(webConf)
let chapterApi = new ChapterAPI(webConf)
let examApi = new ExamAPI(webConf)
let courseApi = new CourseAPI(webConf)
let discussApi = new DiscussAPI(webConf)
let msgApi = new MsgAPI(webConf)
let scoreApi = new ScoreAPI(webConf)
let reportApi = new ReportAPI(webConf)

export {
  loginApi,
  chapterApi,
  examApi,
  courseApi,
  discussApi,
  msgApi,
  scoreApi,
  reportApi
}
